# Created by pyp2rpm-3.3.2
%global pypi_name xmlschema

Name:           python-%{pypi_name}
Version:        1.9.2
Release:        %mkrel 3
Summary:        An XML Schema validator and decoder
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/xmlschema
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(elementpath)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)

%description
The xmlschema library is an implementation of XML Schema for Python.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Obsoletes:      python-%{pypi_name}-doc < 1.0.16

%description -n python3-%{pypi_name}
The xmlschema library is an implementation of XML Schema for Python.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf *.egg-info/

# fix reqs
perl -pi -e 's/~=/>=/g' requirements-dev.txt setup.py

%build
%py3_build

# generate html docs
PYTHONPATH=${PWD} sphinx-build doc html

# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

# fix shebangs
%{_bindir}/pathfix.py -pni "%__python3 %{py_shbang_opts}" %{buildroot}%{python3_sitelib}

%files -n python3-%{pypi_name}
%license LICENSE
%doc html README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
%{_bindir}/xmlschema-json2xml
%{_bindir}/xmlschema-validate
%{_bindir}/xmlschema-xml2json


%changelog
* Fri Jun 24 2022 papoteur <papoteur> 1.9.2-3.mga9
+ Revision: 1865839
- Mass Rebuild for dependencies

* Tue Mar 29 2022 umeabot <umeabot> 1.9.2-2.mga9
+ Revision: 1833268
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 mrambo3501 <mrambo3501> 1.9.2-1.mga9
+ Revision: 1779499
- version 1.9.2
- rebuild for python-3.10

* Fri Feb 04 2022 mrambo3501 <mrambo3501> 1.7.1-1.mga9
+ Revision: 1771526
- version 1.7.1

* Sat Jun 26 2021 wally <wally> 1.5.1-2.mga9
+ Revision: 1732393
- Rebuild for python 3.9

* Wed Mar 03 2021 guillomovitch <guillomovitch> 1.5.1-1.mga9
+ Revision: 1697496
- new version 1.5.1

* Wed Nov 11 2020 guillomovitch <guillomovitch> 1.3.1-1.mga8
+ Revision: 1644645
- new version 1.3.1

* Sun Mar 01 2020 wally <wally> 1.1.1-1.mga8
+ Revision: 1552627
- new version 1.1.1

* Tue Feb 18 2020 umeabot <umeabot> 1.0.16-2.mga8
+ Revision: 1541338
- Mageia 8 Mass Rebuild

* Tue Dec 24 2019 wally <wally> 1.0.16-1.mga8
+ Revision: 1469908
- new version 1.0.16
- drop separate doc pkg

* Thu Sep 26 2019 daviddavid <daviddavid> 1.0.13-2.mga8
+ Revision: 1446261
- rebuild for python3.8

* Sun Aug 18 2019 wally <wally> 1.0.13-1.mga8
+ Revision: 1429773
- imported package python-xmlschema

